/*	wrblkspi.c 4.2		*/
/*F****************************************************************************

FUNCTION NAME:	wrblkspi

ACTION:		Writes count characters to the SPI serial hardware from an
		array of characters (short).

PARAMETERS:
		array:	pointer to an array of bytes.

		count:	number of bytes to output to the SPI port.

RETURNS:	(void)

******************************************************************************/

#include <hc11/directives.h>

SMALL
void wrblkspi(array, count)

	unsigned short	*array;		/* pointer to data to be written */
	int		count;		/* number of bytes to be written */

	{

	/****************************************************************/
	/*	Note that "while ((count--) > 0)" is equivalent to	*/
	/*	"while ((--count) >= 0)" but the pre-decrement version	*/
	/*	is more efficient than the post-decrement version.	*/
	/****************************************************************/

	while ((--count) >= 0)
		wrbytspi((unsigned) *(array++));

	}	/* end of wrblkspi	*/
